﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication14
{
    partial class Form4 : Form
    {

        public Form4()
        {
            InitializeComponent();
        }

        private DataSet addData(DataSet ds)
        {
            ds.Tables["table1"].Rows.Add(new Object[] { 0, "Beverage", 50, 10.2, new DateTime(2008, 04, 22) });
            ds.Tables["table1"].Rows.Add(new Object[] { 1, "Appliances", 5, 90, new DateTime(2012, 05, 10) });
            ds.Tables["table1"].Rows.Add(new Object[] { 0, "FastFood", 20, 32, new DateTime(2005, 10, 05) });
            ds.Tables["table1"].Rows.Add(new Object[] { 0, "FastFood", 20, 32, new DateTime(2005, 10, 05) });
            ds.Tables["table1"].Rows.Add(new Object[] { 2, "Furniture", 12, 79, new DateTime(2009, 02, 28) });

            ds.Tables["table2"].Rows.Add(new Object[] { 0, 0, "Number Of products", 0 });
            ds.Tables["table2"].Rows.Add(new Object[] { 1, 1, "Number Of products", 0 });
            ds.Tables["table2"].Rows.Add(new Object[] { 2, 2, "Number Of products", 0 });

            return ds;
        }

        private void button1_Click(object sender, EventArgs e)
        {
           

        }

        private void Form4_Load(object sender, EventArgs e)
        {
            DataSet ds = new DataSet();

            DataTable t2 = ds.Tables.Add("table2");
            t2.Columns.Add("id", typeof(int));
            t2.Columns.Add("pid", typeof(int));
            t2.Columns.Add("Name", typeof(string));
            t2.Columns.Add("SumQuantityColumn", typeof(int));

            DataTable t1 = ds.Tables.Add("table1");
            t1.Columns.Add("id", typeof(int));
            t1.Columns.Add("Name", typeof(string));
            t1.Columns.Add("Quantity", typeof(int));
            t1.Columns.Add("Price", typeof(double));
            t1.Columns.Add("Date", typeof(DateTime));

                      

            ds = addData(ds);


            ds.Relations.Add(t2.Columns["pid"], t1.Columns["id"]);

            ultraGrid1.DataSource = ds;

            ultraGrid1.DisplayLayout.Bands[1].SortedColumns.Add("Name", true, true);

            ultraGrid1.DisplayLayout.Bands[0].Columns["SumQuantityColumn"].Formula = "Sum([Relation1/Quantity])";
        }

        private void button1_Click_1(object sender, EventArgs e)
        {
            ultraGridExcelExporter1.Export(ultraGrid1, "ExcelUltraCalcManager.xls");
            Process.Start("ExcelUltraCalcManager.xls");
        }


    }
}
